Bug 145787 - RFE: Split netscripts into separate sub-package
RFE: Split netscripts into separate sub-package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
http://pilot.org.ua/etcnet/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-21 11:21 EST by Bill Rugolsky, Jr.
Modified: 2014-03-16 22:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 11:39:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Rugolsky, Jr. 2005-01-21 11:21:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
In order to add a package like the /etc/net scripts (see URL) to
Fedora Alternatives, it would be useful to split out the networking
components of initscripts, namely

/sbin/{ifup,ifdown,netreport,ppp-watch}
/etc/ppp/*
/etc/rc.d/init.d/network
/etc/sysconfig/{networking,network-scripts}/*
/usr/sbin/usernetctl
/usr/share/man/man1/{netreport.1,ppp-watch.8,usernetctl.8}.gz
/var/run/netreport

into a separate (sub-)package, say netscripts, that could be readily
replaced by another package, say "etcnet" that provides "netscripts".




Version-Release number of selected component (if applicable):
initscripts-8.04-1

How reproducible:
Always

Steps to Reproduce:

    

Additional info:
Comment 1 Bill Nottingham 2005-01-21 11:39:20 EST
I doubt this is really something we'd want to pursue; it's a lot of
packaging and build churn for not much Core benefit.
Comment 2 Kenneth Porter 2005-10-31 12:57:19 EST
It might be doable as part of the general initscripts speed-up project discussed
in bug 99540.

Pending that, the interested user could do the hard work of repackaging
initscripts with the desired split and supplying it as a complete drop-in
replacement for initscripts at the etcnet project.
Comment 3 Denis Ovsienko 2005-12-09 09:43:53 EST
I'm working on /etc/net 0.8.0. As long as it is ready, I will start trying to
pack it for Fedora Extras. I'm afraid I'll have to reopen this bug, hopefully
with a patch ready.
Thank you.

Note You need to log in before you can comment on or make changes to this bug.